<h1 align="center">Omni-Authify</h1>

---

<p align="center">
    <a href="https://mukhsin-gitbook.gitbook.io/omni-authify/">
        <img src="https://img.shields.io/static/v1?message=Documented%20on%20GitBook&logo=gitbook&logoColor=ffffff&label=%20&labelColor=5c5c5c&color=3F89A1" alt="Documentation"/>
    </a>
    <a href="https://github.com/Omni-Libraries/omni-authify.git">
        <img src="https://img.shields.io/badge/Open_Source-❤️-FDA599?"/>
    </a>
    <a href="https://discord.gg/BQrvDpcw">
        <img src="https://img.shields.io/badge/Community-Join%20Us-blueviolet" alt="Community"/>
    </a>
    <a href="https://github.com/Omni-Libraries/omni-authify/issues">
        <img src="https://img.shields.io/github/issues/Omni-Libraries/omni-authify" alt="Issues"/>
    </a>
</p>


---

**Omni-Authify** is a Python package that makes it easy to support OAuth2 authentication across multiple frameworks like Django, Django-DRF, Flask, and FastAPI.

## 📚 Table of Contents
- [Contributors](CONTRIBUTING.md)
- [Development Setup](#development-setup)
- [Documentation](docs)
  - [Setup](docs/Setup)
  - [Provider Documentation](docs/providers.md)
  - [Supported Frameworks](docs/usage)

---

## 📄 Documentation

Omni-Authify has a detailed set of documentation files to guide you through setup, integration, and usage.

### 📊 Provider Documentation
- [Providers Overview](docs/providers.md)


### 📖 Setup Guides
- [Facebook Setup Guide](docs/Setup/facebook.md)
- [Google Setup Guide](docs/SetupGuide/google.md)
- [Twitter Setup Guide](docs/SetupGuide/twitter.md)
- [LinkedIn Setup Guide](docs/SetupGuide/linkedin.md)
- [GitHub Setup Guide](docs/SetupGuide/github.md)
- [Telegram Setup Guide](docs/SetupGuide/telegram.md)

### 🛠️ Supported Frameworks
- [Django Setup Guide](docs/usage/django.md)
- [Django-DRF Setup Guide](docs/usage/django-drf.md)
- [FastAPI Setup Guide](docs/usage/fastapi.md)
- [Flask Setup Guide](docs/usage/flask.md)

### 🚀 Installation Instructions
- [Installation Guide](docs/installation.md)

---

## 👥 Contributors

We believe in the power of collaboration. Below are some of our amazing contributors:

| Name                                                | LinkedIn                                                             | Project Spent Time                                                                                                                      |
|-----------------------------------------------------|----------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------| 
| [Mukhsin Mukhtorov](https://github.com/Mukhsin0508) | [LinkedIn](https://www.linkedin.com/in/mukhsin-mukhtorov-58b26221b/) | ![Wakatime Badge](https://wakatime.com/badge/user/60731bfe-5801-4003-b6ab-b7db12ed73d0/project/c98e39e2-d018-43f8-939e-c9f47b059a2a.svg)                                                                                                                     |

If you’d like to join this list, please see our [Contributing Guide](CONTRIBUTING.md) for details.

## 📜 License

This project is licensed under the MIT License. See the [LICENSE](./LICENSE) file for more information.

---

**Omni-Authify** makes adding OAuth2 authentication to your project effortless. Whether you are building with Django, DRF, FastAPI, or Flask, Omni-Authify provides you with a unified and easy approach to handle social logins. We are excited to see what you build with Omni-Authify! 🚀

